# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Perl extension for manipulating IPv4/IPv6 addresses
Name:		perl-Net-IP
Version:	1.26
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Net-IP/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MANU/Net-IP-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::BigInt)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is the Net::IP module, designed to allow easy manipulation of IPv4 and
IPv6 addresses.

There is also a small application that uses the IP.pm module: ipcount.pl.
Basically, it's an IP address mini-calculator; it can calculate the number of
IP addresses in a prefix or all the prefixes contained in a given range.

%prep
%setup -q -n Net-IP-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README COPYING
%{_bindir}/ipcount
%{_bindir}/iptab
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::IP.3pm*

%changelog
* Thu Nov 29 2012 Paul Howarth <paul@city-fan.org> 1.26-1
- Update to 1.26
  - This version is authored by Ulrich Wisser
  - CPAN RT#81138: ip types
  - CPAN RT#80164: hexip does not change when ip changes (fix: hexformat needs
    to be cleared by set)
  - CPAN RT#74898: double compression
  - CPAN RT#73232: invalid ipv6 1:2:3:4:5:6:7
  - CPAN RT#73105: invalid ip 1:2
  - CPAN RT#73104: expand 1::2::3
  - CPAN RT#71042: ip_reverse 2001:4f8:3:36:0:0:0:235
  - CPAN RT#45165: ip_range_to_prefix updated documentation
  - CPAN RT#32232: accepts 61-217-102-8.hinet-ip.hinet.net as range

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> 1.25-19
- BR: perl(Exporter) and perl(Math::BigInt)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 1.25-17
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.25-8
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1.25-7
- Fix dist tag to work with RHEL6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> 1.25-6
- Dist tag for Rawhide no longer needs special-casing

* Fri Aug 28 2009 Paul Howarth <paul@city-fan.org> 1.25-5
- Define RPM macros in global scope

* Fri Oct 31 2008 Paul Howarth <paul@city-fan.org> 1.25-4
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 1.25-3
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Fri May 26 2006 Paul Howarth <paul@city-fan.org> 1.25-2
- Fix broken dependency due to removal of %%__perl_version macro definition

* Thu May 25 2006 Paul Howarth <paul@city-fan.org> 1.25-1
- Update to 1.25
- Simplify distribution-detection
- Define %%{__id_u} in a more portable way

* Wed Oct 19 2005 Paul Howarth <paul@city-fan.org> 1.24-1
- Update to 1.24
- Fix directory ownership
- Don't use macros in build-time command pathnames, hardcode them instead
- Don't use %%{__perl_package} macro
- Use search.cpan.org URLs
- Unconditionally remove buildroot in %%clean and %%install

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.23-2
- Add note about package being available in Fedora Extras
- Remove redundant find of empty .bs files

* Fri Jun 24 2005 Paul Howarth <paul@city-fan.org> 1.23-1
- Initial build
